Bug 112122 - FILEOPEN: Crash with Application Error when opening particular file with text:alphabetical-index-mark
Summary: FILEOPEN: Crash with Application Error when opening particular file with text...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Michael Stahl
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2 target:5.3.7
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-08-31 06:17 UTC by Dinh Le
Modified: 2017-09-07 09:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Crashes with Application Error (1.78 KB, application/vnd.oasis.opendocument.text)
2017-08-31 06:18 UTC, Dinh Le
Details
gdb backtrace (46.28 KB, text/plain)
2017-08-31 12:16 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dinh Le 2017-08-31 06:17:24 UTC
Description:
Opening the file leads to a crash with  Application Error Fatal Exception: Signal 6. terminate called after throwing an instance of 'com::sun::star::lang::IllegalArgumentException'


Tested it on 
version 5.3.5.2 and 
daily build 
master~2017-08-30_23.53.37_LibreOfficeDev_6.0.0.0.alpha0_Linux_x86-64_deb


Steps to Reproduce:
1.Open the file

Actual Results:  
crashes with Application Error

Expected Results:
not crashing, either opening or getting parsing error


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36
Comment 1 Dinh Le 2017-08-31 06:18:00 UTC
Created attachment 135893 [details]
Crashes with Application Error
Comment 2 Xisco Faulí 2017-08-31 11:51:49 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: 78960ad06faca055a6d97afbc764c902d5d07f6f
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-30_06:31:19
Locale: es-ES (es_ES); Calc: group

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 Xisco Faulí 2017-08-31 12:16:48 UTC
Created attachment 135902 [details]
gdb backtrace
Comment 4 Caolán McNamara 2017-08-31 12:37:29 UTC
hmph, exception throw from a destructor, swallow it, or move dtor body into EndElement, something else ?
Comment 5 Commit Notification 2017-08-31 13:24:37 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98552e46521b012e7694c056eca956ae4ee27a0c

tdf#112122 xmloff: inserting index marks into editengine throws

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-08-31 18:21:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70b9aa7bc1b6c1af358a14843c777c9d150f745d

Resolves: tdf#112122 Use EndElement instead of dtor to call throwing methods

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-09-05 14:26:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0771ddbeb063be1e38ba9b409ec365910faef492&h=libreoffice-5-4

tdf#112122 xmloff: inserting index marks into editengine throws

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-09-07 09:53:23 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=037d5fa9b129a4060f8f572cb72801b7dfa1608f&h=libreoffice-5-3

tdf#112122 xmloff: inserting index marks into editengine throws

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.